From bf3a33942d66722e9526392edb2f619466d2528e Mon Sep 17 00:00:00 2001
From: Serge Schneider <serge@raspberrypi.com>
Date: Mon, 26 Oct 2020 16:38:21 +0000
Subject: [PATCH] rpisense-fb: Set pseudo_pallete to prevent crash on
 fbcon takeover

Signed-off-by: Serge Schneider <serge@raspberrypi.com>
---
 drivers/video/fbdev/rpisense-fb.c | 3 +++
 1 file changed, 3 insertions(+)

--- a/drivers/video/fbdev/rpisense-fb.c
+++ b/drivers/video/fbdev/rpisense-fb.c
@@ -52,6 +52,8 @@ static u8 gamma_low[32] = {0x00, 0x01, 0
 
 static u8 gamma_user[32];
 
+static u32 pseudo_palette[16];
+
 static struct rpisense_fb_param rpisense_fb_param = {
 	.vmem = NULL,
 	.vmemsize = 128,
@@ -225,6 +227,7 @@ static int rpisense_fb_probe(struct plat
 	info->flags = FBINFO_FLAG_DEFAULT | FBINFO_VIRTFB;
 	info->screen_base = rpisense_fb_param.vmem;
 	info->screen_size = rpisense_fb_param.vmemsize;
+	info->pseudo_palette = pseudo_palette;
 
 	if (lowlight)
 		rpisense_fb_param.gamma = gamma_low;
